package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFAE1Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFAE1Data() {}

    public static MWFAE1Data builder() {
        return new MWFAE1Data();
    }

    public MWFAE1Data rsName(String rsName) {
        params.put("RS_NAME", rsName);
        return this;
    }

    public MWFAE1Data rsValue(String rsValue) {
        params.put("RS_VALUE", rsValue);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
